Page MenuHomePhabricator

[Task] Implement serializer and unserializer for derived values in a PropertyValueSnak
Closed, InvalidPublic

Description

SnakSerializer should have support for derived values. The extra DataValues would be placed next to the "datavalue". E.g. an extra value in the "normalized" slot would show up as "datavalue-normalized" in the serialization, like so:

"mainsnak":{"snaktype":"value","property":"P646","datatype":"string",
    "datavalue":{"value":"/m/0g5n7","type":"string"},
    "datavalue-normalized":{"value":"https://www.freebase.com/m/0g5n7","type":"string"},
}

Event Timeline

Lydia_Pintscher renamed this task from Implement serializer and unserializer for ExtendedPropertyValueSnak to [Task] Implement serializer and unserializer for ExtendedPropertyValueSnak.Sep 10 2015, 10:36 AM
Lydia_Pintscher set Security to None.
daniel renamed this task from [Task] Implement serializer and unserializer for ExtendedPropertyValueSnak to [Task] Implement serializer and unserializer for derived values in a PropertyValueSnak.Nov 17 2015, 4:46 PM
daniel updated the task description. (Show Details)
Addshore closed this task as Invalid.Jan 23 2019, 12:23 PM
Addshore added a subscriber: Addshore.

Task break down is no longer valid, and we have closed the epic T112548